For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search Loop Links

Search existing Loop Links.

get
Authorizations
AuthorizationstringRequired

Enter your PredictHQ API key. The Bearer prefix is added automatically.

When calling the API directly, send: Authorization: Bearer <YOUR_API_KEY> as documented at https://docs.predicthq.com/api/overview/authenticating

Query parameters
offsetintegerOptional

Offset the results.

Default: 0
limitintegerOptional

Limit the number of results.

Default: 10
qstring · min: 1 · max: 120Optional

Full-text search.

E.g. ?q=hotel+a

Pattern: ^[a-zA-Z0-9 _-]+$
link_idstring[]Optional

A comma-separated list of Loop Link IDs

user_idstring[]Optional

A comma-separated list of user IDs

Responses
200

Successful Response

application/json
countintegerRequired
nextstring · uri · min: 1 · nullableOptional

URL to next page

previousstring · uri · min: 1 · nullableOptional

URL to previous page

get/v1/loop/links
GET /v1/loop/links HTTP/1.1
Host: api.predicthq.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "links": [
    {
      "link_id": "text",
      "expire_dt": "2026-01-01T00:00:00.000Z",
      "metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "name": "text",
      "status": "text",
      "create_dt": "2026-01-01T00:00:00.000Z",
      "update_dt": "2026-01-01T00:00:00.000Z",
      "links": {
        "event": "https://example.com",
        "event_feedback": "https://example.com"
      }
    }
  ]
}

Examples

The following examples search Loop Links sorted by name:

OpenAPI spec

Guides

ow are some guides relevant to this API:

Last updated

Was this helpful?